> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.meshapi.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.meshapi.ai/_mcp/server.

# Get File Status

GET https://api.meshapi.ai/v1/files/{file_id}

Reference: https://developers.meshapi.ai/api-reference/mesh-api/files-rag/get-file-status-v-1-files-file-id-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /v1/files/{file_id}:
    get:
      operationId: get-file-status-v-1-files-file-id-get
      summary: Get File Status
      tags:
        - subpackage_rag
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://api.meshapi.ai
    description: Production Server
components:
  schemas:
    FileStatusResponse:
      type: object
      properties:
        file_id:
          type: string
        upload_status:
          type: string
        file_name:
          type: string
        file_type:
          type: string
        mime_type:
          type: string
        size_bytes:
          type:
            - integer
            - 'null'
        asset_url:
          type:
            - string
            - 'null'
        signed_url:
          type:
            - string
            - 'null'
        signed_url_expires_at:
          type:
            - string
            - 'null'
          format: date-time
        embedding_status:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        total_tokens:
          type:
            - integer
            - 'null'
        total_cost_usd:
          type:
            - number
            - 'null'
          format: double
        last_error_code:
          type:
            - string
            - 'null'
      required:
        - file_id
        - upload_status
        - file_name
        - file_type
        - mime_type
        - size_bytes
        - asset_url
        - signed_url
        - signed_url_expires_at
        - embedding_status
        - created_at
        - updated_at
      title: FileStatusResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "file_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
  "upload_status": "completed",
  "file_name": "research_paper.pdf",
  "file_type": "document",
  "mime_type": "application/pdf",
  "size_bytes": 2457600,
  "asset_url": "https://cdn.meshapi.ai/assets/f47ac10b-58cc-4372-a567-0e02b2c3d479/research_paper.pdf",
  "signed_url": "https://cdn.meshapi.ai/signed/f47ac10b-58cc-4372-a567-0e02b2c3d479?signature=abc123&expires=1716000000",
  "signed_url_expires_at": "2024-07-01T12:00:00Z",
  "embedding_status": "processed",
  "created_at": "2024-01-10T08:15:30Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "total_tokens": 15342,
  "total_cost_usd": 12.75,
  "last_error_code": null
}
```

**SDK Code**

```python
import requests

url = "https://api.meshapi.ai/v1/files/file_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meshapi.ai/v1/files/file_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meshapi.ai/v1/files/file_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meshapi.ai/v1/files/file_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meshapi.ai/v1/files/file_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meshapi.ai/v1/files/file_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meshapi.ai/v1/files/file_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meshapi.ai/v1/files/file_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```